Page MenuHomePhabricator

Create subdomain for Research landing page
Closed, ResolvedPublic

Description

We'd like request research.wikimedia.org to host the research landing page.

Event Timeline

bmansurov triaged this task as Medium priority.Jan 2 2018, 1:00 PM
bmansurov created this task.
Restricted Application added a project: Traffic. · View Herald TranscriptJan 2 2018, 1:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krenair added a subscriber: Krenair.Jan 2 2018, 1:02 PM

Why is it not simply a redirect to a page on meta?

Dzahn added a subscriber: Dzahn.Jan 2 2018, 1:39 PM

Is the request to host the actual HTML files on Wikimedia infrastructure? That would be good, but i agree a wiki page would be even better (and save all the extra work to deploy changes)

Change 401597 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] microsites: create research.wikimedia.org static page

https://gerrit.wikimedia.org/r/401597

Change 401603 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add research.wikimedia.org

https://gerrit.wikimedia.org/r/401603

Change 401597 merged by Dzahn:
[operations/puppet@production] microsites: create research.wikimedia.org static page

https://gerrit.wikimedia.org/r/401597

Change 401603 merged by Dzahn:
[operations/dns@master] add research.wikimedia.org

https://gerrit.wikimedia.org/r/401603

bmansurov reopened this task as Open.Jan 6 2018, 1:03 AM

Sorry, this is blocked on security review: T183973.

Dzahn changed the task status from Open to Stalled.Jan 8 2018, 9:42 PM

Also blocked on a final review by @DarTar and project owners.

@Krenair and @Dzahn to answer your earlier questions, please see T107389 for more info.

Dzahn added a comment.EditedJan 12 2018, 10:44 PM

@bmansurov thanks for that link and detailed explanation. ping me when it's time to launch. (in this context, "ping me" actually already happens if you just change the ticket status from stalled to open)

ema moved this task from Triage to DNS Names on the Traffic board.Jan 19 2018, 5:43 PM
bmansurov changed the task status from Stalled to Open.Feb 6 2018, 4:22 PM

@Dzahn the site is ready for launch. Gerrit has been updated with the latest content from Github. Please go ahead with the task.

bmansurov moved this task from Staged to Time Sensitive on the Research board.Feb 6 2018, 4:26 PM

Change 408562 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] microsites/research: re-enable git cloning

https://gerrit.wikimedia.org/r/408562

Change 408562 merged by Dzahn:
[operations/puppet@production] microsites/research: re-enable git cloning

https://gerrit.wikimedia.org/r/408562

Dzahn added a comment.Feb 6 2018, 5:38 PM

I re-enabled the git cloning. At first there were some conflicts when puppet tried to git pull. Deleting the entire /srv/org/wikimedia/research directory and running puppet fixed that and files were then current.

Re-reverted the DNS change. Now the site is live.

https://research.wikimedia.org/

Dzahn closed this task as Resolved.Feb 6 2018, 6:45 PM